## ebook-tools 0.2.2

=== CMakeLists.txt ===
project (EBOOK-TOOLS C)

cmake_minimum_required(VERSION 2.4.0)

#set(CMAKE_CURRENT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(LIBRARY_OUTPUT_PATH ${EBOOK-TOOLS_BINARY_DIR}/libs)
set(EXECUTABLE_OUTPUT_PATH ${EBOOK-TOOLS_BINARY_DIR}/bin)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name (32/64)")

find_package(LibXml2 REQUIRED)
find_package(LibZip REQUIRED)

if(CMAKE_C_COMPILER_ID MATCHES GNU)
  set(CMAKE_C_FLAGS "-Wall -W -Wno-long-long -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -Wshadow -fno-common ${CMAKE_C_FLAGS}")
endif(CMAKE_C_COMPILER_ID MATCHES GNU)
if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

INCLUDE("${CMAKE_MODULE_PATH}/TargetDoc.cmake" OPTIONAL)

add_subdirectory (src)

## ebook-tools 0.2.1

=== debian/changelog ===
ebook-tools (0.2.1-2ubuntu1) raring; urgency=low

  * Add simple autopkgtest for package.
     - The epub used here is a basic recast of T.S. Eliot's "The Waste Land"
     - This epub was obatined from the epub-samples project on Google Code. 

 -- Vibhav Pant <vibhav@ubuntu.com>  Wed, 13 Feb 2013 12:52:41 +0100

ebook-tools (0.2.1-2build1) precise; urgency=low

  * No change rebuild for libzip transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Mar 2012 21:43:55 -0400

ebook-tools (0.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bump packaging copyright year.

 -- Pino Toscano <pino@kde.org>  Mon, 07 Mar 2011 12:18:26 +0100

ebook-tools (0.2.1-1) experimental; urgency=low

  * New upstream release:
    + fixes crash on a file (Closes: #549686)
    + properly finds the TOC (Closes: #571649)
  * Remove patch 01_lit2epub_bashisms.diff:
    + fixed upstream
    + drop quilt build dependency (no more patches to apply)
  * Switch from CDBS to plain debhelper 7:
    + drop cdbs build dependency
    + bump debhelper build dependency to >= 7.0.50~
    + bump compat to 7
    + use a .manpages file for dh_installman
  * Switch to format "3.0 (quilt)".
  * Install the upstream README and TODO only for libepub0.
  * Small copyright update.
  * Tweak descriptions a bit.
  * Activate the "as needed" linking.
  * Add a symbols file for libepub0:
    + based on the symbols of libepub 0.1.1
    + mark the internal symbols as optional
    + update taking the 0.2.0 version into account
  * Remove duplicate field "Section" in package libepub0.
  * Small update to the einfo.1 manpage:
    + remove the -n parameter, no more available
  * Add "DM-Upload-Allowed: yes" in control.
  * Bump Standards-Version to 3.9.1, no changes required.

 -- Pino Toscano <pino@kde.org>  Wed, 15 Sep 2010 22:14:33 +0200

ebook-tools (0.1.1-3) unstable; urgency=low

  * Change epub-utils suggests clit and zip into recommends convlit and zip.
    (Closes: #529852)
  * As debhelper is used, add ${misc:Depends} to the depends of the binary
    packages.
  * Change the section of ebook-tools-dbg to debug.
  * Remove lintian override for ebook-tools-dbg, no more needed now.
  * Bump Standards-Version to 3.8.1. No changes needed.

 -- Pino Toscano <pino@kde.org>  Fri, 22 May 2009 23:44:12 +0200

ebook-tools (0.1.1-2) unstable; urgency=low

  * add patch 01_lit2epub_bashisms.diff:
    + fixes bashisms in lit2epub (Closes: #486031)
    + taken from upstream r93
  * debian/rules:
    + add build-dependency on quilt
  * debian/einfo.1:
    + hypen and minus are different, so escape the minus char to get a minus
      in the man page

 -- Pino Toscano <pino@kde.org>  Sat, 14 Jun 2008 00:34:25 +0200

ebook-tools (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.0. No changes needed.
  * debian/control:
    + ebook-tools-dbg: remove dependency on libc6-dbg
  * debian/ebook-tools-dbg.lintian-overrides:
    + override the lintian warning about the "ebook-tools" package,
      as the real package that needs debug symbols is libepub0
  * debian/einfo.1:
  * debian/lit2epub.1:
  * debian/rules:
    + add manpages for einfo(1) and lit2epub(1)

 -- Pino Toscano <pino@kde.org>  Fri, 07 Jun 2008 22:00:47 +0200

ebook-tools (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #475513)

 -- Pino Toscano <pino@kde.org>  Mon, 19 May 2008 14:34:04 +0200

=== debian/control ===
Source: ebook-tools
Priority: optional
Maintainer: Pino Toscano <pino@kde.org>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4.0), libxml2-dev, libzip-dev
XS-Testsuite: autopkgtest
Standards-Version: 3.9.1
Section: libs
Homepage: http://sourceforge.net/projects/ebook-tools
Vcs-Browser: http://ebook-tools.svn.sourceforge.net/viewvc/ebook-tools/branches/0.1/ebook-tools/
Vcs-Svn: http://ebook-tools.svn.sourceforge.net/svnroot/ebook-tools/branches/0.1/ebook-tools
DM-Upload-Allowed: yes

Package: libepub-dev
Section: libdevel
Architecture: any
Depends: libepub0 (= ${binary:Version}), ${misc:Depends}
Description: library to work with the EPub file format - development files
 The ebook-tools provide ways for accessing and converting different
 ebook file formats.
 .
 This C library is free and portable. It includes methods to parse
 EPub files and extract their contents.
 .
 This package provides development headers and libraries for libepub.

Package: libepub0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to work with the EPub file format - runtime library
 The ebook-tools provide ways for accessing and converting different
 ebook file formats.
 .
 This C library is free and portable. It includes methods to parse
 EPub files and extract their contents.
 .
 This package provides the main epub library.

Package: ebook-tools-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libepub0 (= ${binary:Version}), ${misc:Depends}
Description: library and tools to work with the EPub file format - debug symbols
 The ebook-tools provide ways for accessing and converting different
 ebook file formats.
 .
 This C library is free and portable. It includes methods to parse
 EPub files and extract their contents.
 .
 This package provides the debug symbols for the epub library.

Package: epub-utils
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: convlit, zip
Description: tools to work with the EPub file format
 The ebook-tools provide ways for accessing and converting different
 ebook file formats.
 .
 This package contains the following utilities:
  - einfo           : provides some basic info about an EPub document,
                      such as metadata, reading order, etc.
  - lit2epub        : converts a LIT file to EPub (using convlit and zip).

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
	  -DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=ebook-tools-dbg

.PHONY: override_dh_auto_test

## ebook-tools 0.2.2

=== debian/changelog ===
ebook-tools (0.2.2-8) unstable; urgency=medium

  * 'build' autopkgtest: temporarily add the allow-stderr, so the test does not
    fail on the libxml2 warning about compilation mismatch; that warning was
    dropped in newer versions.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Nov 2025 07:23:36 +0100

ebook-tools (0.2.2-7) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update lintian override info format in d/source/lintian-overrides on line 6.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1112863)
  * Drop the migration from ebook-tools-dbg, no more needed after two Debian
    stable releases
    - drop the lintian override for it
  * Move the Debian-provided man pages within a single debian/man/ subdirectory,
    to easily group them.

 -- Pino Toscano <pino@debian.org>  Wed, 29 Oct 2025 13:03:45 +0100

ebook-tools (0.2.2-6) unstable; urgency=medium

  * Drop the ncbi-entrez-direct conflict from epub-utils: apparently
    ncbi-entrez-direct goes to great lengths in diverting the content of
    epub-utils, mostly to avoid changing the names themselves. Yikes.
  * Update sample epub file for the 'build' autopkgtest to a newer version
    of it, downloaded from the current github location.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 31 May 2022 06:52:28 +0200

ebook-tools (0.2.2-5) unstable; urgency=medium

  * Add Vcs-* fields.
  * Add the configuration for the CI on salsa.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - remove --parallel for dh, as now done by default
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Remove ebook-tools-dbg in favour of the -dbgsym packages. (Closes: #801429)
  * Add Rules-Requires-Root: no.
  * Switch the watch file to version 4, and use https.
  * Drop old XS-Testsuite field.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Name, Repository.
  * Fix day-of-week for changelog entry 0.1.1-1.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Stop shipping TODO as documentation, as it is not useful for users.
  * Make epub-utils conflict with ncbi-entrez-direct, as both ship the einfo
    executable & manpage.
  * Rewrite copyright to copyright-format v1.0.
  * Use https for the Homepage.

 -- Pino Toscano <pino@debian.org>  Sun, 29 May 2022 14:43:06 +0200

ebook-tools (0.2.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop realpath from the autopkgtest dependencies.
    (Closes: #894706)
  * debian/tests/build: Replace deprecated $ADTTMP with
    $AUTOPKGTEST_TMP.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 May 2022 13:00:40 -0400

ebook-tools (0.2.2-4) unstable; urgency=medium

  [ Martin Pitt ]
  * Fix link order in "build" autopkgtest. (Closes: #756256)

 -- Pino Toscano <pino@debian.org>  Tue, 29 Jul 2014 21:07:32 +0200

ebook-tools (0.2.2-3) unstable; urgency=medium

  * Add a simple autopkgtest, loosely based on the patch provided by
    Vibhav Pant (thanks!): (Closes: #700911)
    + properly record the information on the epub test file used
    + add the XS-Testsuite: autopkgtest header.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Jul 2014 20:44:57 +0200

ebook-tools (0.2.2-2) unstable; urgency=medium

  * Adapt FindLibZip.cmake to find zipconf.h also within the libdir; patch
    cmake_libzip_zipconf_path.diff. (Closes: #739152)
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update packaging year in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Feb 2014 11:23:21 +0100

ebook-tools (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Switch my email address to pino@debian.org.
  * Remove Vcs-* headers, the packaging there is not really up-to-date.
  * Remove obsolete DM-Upload-Allowed header.
  * Update packaging year in copyright.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Bump debhelper compatibility to 9:
    + bump compat to 9
    + bump debhelper build dependency to >= 9
    + remove the custom link flags handling in rules
  * Enable parallel building.
  * Uniform "EPUB" in descriptions and manpages.
  * Link in as-needed mode.
  * Turn dh_install's --list-missing into --fail-missing.
  * Tighten the libepub0 dependency in epub-utils.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Jun 2013 15:41:09 +0200

=== debian/control ===
Source: ebook-tools
Priority: optional
Maintainer: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 2.4.0), libxml2-dev, libzip-dev
Standards-Version: 4.7.2
Section: libs
Homepage: https://sourceforge.net/projects/ebook-tools/
Vcs-Browser: https://salsa.debian.org/pino/ebook-tools
Vcs-Git: https://salsa.debian.org/pino/ebook-tools.git

Package: libepub-dev
Section: libdevel
Architecture: any
Depends: libepub0 (= ${binary:Version}), ${misc:Depends}
Description: library to work with the EPUB file format - development files
 The ebook-tools provide ways for accessing and converting different
 ebook file formats.
 .
 This C library is free and portable. It includes methods to parse
 EPUB files and extract their contents.
 .
 This package provides development headers and libraries for libepub.

Package: libepub0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to work with the EPUB file format - runtime library
 The ebook-tools provide ways for accessing and converting different
 ebook file formats.
 .
 This C library is free and portable. It includes methods to parse
 EPUB files and extract their contents.
 .
 This package provides the main epub library.

Package: epub-utils
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libepub0 (= ${binary:Version})
Recommends: convlit, zip
Description: tools to work with the EPUB file format
 The ebook-tools provide ways for accessing and converting different
 ebook file formats.
 .
 This package contains the following utilities:
  - einfo           : provides some basic info about an EPUB document,
                      such as metadata, reading order, etc.
  - lit2epub        : converts a LIT file to EPUB (using convlit and zip).

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

.PHONY: override_dh_auto_test

=== debian/tests/control ===
Tests: build
Depends: build-essential, libepub-dev
Restrictions: allow-stderr

## ebook-tools 0.4-0

=== debian/changelog ===
ebook-tools (0.4-0) unstable; urgency=low

  * Include ebook-smart-importer

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Wed,  9 Dec 2009 16:33:13 +0200

ebook-tools (0.3-0) unstable; urgency=low

  * Rename abook-inspector to ebook-tools

 -- Joergen Scheibengruber <jorgen.scheibengruber@nokia.com>  Mon, 23 Nov 2009 11:16:24 +0200

abook-inspector (0.2-0) unstable; urgency=low

  * Include ebook-client

 -- Joergen Scheibengruber <jorgen.scheibengruber@nokia.com>  Thu, 24 Sep 2009 17:17:26 +0300

abook-inspector (0.1-0) unstable; urgency=low

  * Made Debian package

 -- Joergen Scheibengruber <jorgen.scheibengruber@nokia.com>  Wed, 24 Sep 2008 14:45:31 +0300

=== debian/control ===
Source: ebook-tools
Section: misc
Priority: optional
Maintainer: Joergen Scheibengruber <jorgen.scheibengrber@nokia.com>
Build-Depends: debhelper (>= 4.0.0), cdbs, autotools-dev, libebook-dev, libhildon1-dev
Standards-Version: 3.6.0

Package: ebook-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A UI and a commandline tool to retrieve and edit vcards stored in evolution-data-server
 ebook-tools is a small UI to inspect and manipulate the vcards stored in a evolution-data-server book. ebook-client is a commandline tool for the same task.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR=debian/ebook-tools

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_PREFIX=/usr

makebuilddir/ebook-tools::
	autoreconf -i

## ebook-tools 0.5-0

=== debian/changelog ===
ebook-tools (0.5-0) unstable; urgency=low

  * smart-importer: Properly ignore "multi"-fields if they are present already
  * smart-importer: Inline avatars in maemo

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Wed, 16 Dec 2009 15:24:37 +0200

=== debian/control ===
Source: ebook-tools
Section: user/tools
Priority: optional
Maintainer: Joergen Scheibengruber <jorgen.scheibengrber@nokia.com>
Build-Depends: debhelper (>= 4.0.0), cdbs, autotools-dev, libebook-dev, libhildon1-dev
Standards-Version: 3.6.0

Package: ebook-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Maemo-Display-Name: EBook Tools
Description: A UI and a commandline tool to retrieve and edit vcards stored in evolution-data-server
 ebook-tools is a small UI to inspect and manipulate the vcards stored in a evolution-data-server book. ebook-client is a commandline tool for the same task.
